Support » Plugin: GiveWP - Donation Plugin and Fundraising Platform » From a mistaken Review:

  • ResolvedPlugin Support Ben Meredith

    (@benmeredithgmailcom)


    This is from @mghanei
    (moving reviews is problematic, so I am just opening a support thread on your behalf)

    Hi there,
    I try to install und active the plugin. But when I click on the active button, I get this error:

    Fatal error: Can’t use function return value in write context in /home/blablabla/public_html/wp-content/plugins/give/includes/gateways/stripe/includes/payment-methods/class-give-stripe-checkout.php on line 290

Viewing 1 replies (of 1 total)
  • Plugin Support Ben Meredith

    (@benmeredithgmailcom)

    Hi @mghanei This error indicates that you are using a very old version of PHP (the language that GiveWP as well as all of WordPress is built on).

    As of version 5.2 of WordPress itself, it doesn’t support anything older than PHP version 5.6.

    We’ll look into how we might update that line in our code to work on unsupported versions of PHP, but the fastest way to resolve this from your end is to update to at least PHP 5.6 (but preferably all the way to 7.3).

    Thanks and welcome to the GiveWP family!

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.